#include <Servo.h>

// Pins für Servos
const int frontServoPin = 9;
const int rearServoPin = 10;
const int FahrlichtPin = 2;
const int InnenlichtPin = 3;
const int SuchlichtPin = 4;
const int BodenlichtPin = 5;
int i1 = 1; // Zählvariable für Sequenzdurchläufe
int i2 = 1; // Zählvariable für Blitzsequenz Suchscheinwerfer am Schluss
int z = 1; // Zufallsvariable betimmt bei jedem Durchlauf, ob sich ein Servo bewegt oder nicht
int t = 100; // Zeitvariable für die Servobremsung
int istVorne = 180; //Stand Servo vorne
int istHinten = 180; // Stand Servo hinten am Boden
int sollVorne = 177; // Soll Servostand vorne am Boden
int sollHinten = 177; // Soll Servostand hinten
int kp = 100; // kleine Pause zwischen den Bewegungen
int lp = 10000; // große Pause zwischen Sequenzen
int Anz1 = 50; // Anzahl der Sequenzdurchläufe
int Anz2 = 30;


Servo frontServo; //Namen vergeben für Servo 1
Servo rearServo; //Namen für Servo 2



void setup() {
frontServo.attach(frontServoPin);
rearServo.attach(rearServoPin);

frontServo.write(50);
rearServo.write(160);

pinMode(FahrlichtPin, OUTPUT);
pinMode(InnenlichtPin, OUTPUT);
pinMode(SuchlichtPin, OUTPUT);
pinMode(BodenlichtPin, OUTPUT);

digitalWrite(FahrlichtPin, LOW);
digitalWrite(InnenlichtPin, LOW);
digitalWrite(SuchlichtPin, LOW);
digitalWrite(BodenlichtPin, LOW);

}

void loop() {
  z = random(20, 40);
for (i2; i2 <= z; i2++) {
  digitalWrite(InnenlichtPin, HIGH);
  delay(random(20, 100));
  digitalWrite(InnenlichtPin, LOW);
  delay(random(10, 100));
}
i2 = 1;
  digitalWrite(InnenlichtPin, HIGH); // als erstes wird das Innenraumlicht eingeschaltet
  delay(4000);
  digitalWrite(FahrlichtPin, HIGH); // nach 3 Sekunden das Fahrlicht
delay(4000);
  Anz1 = random(15, 30); // Anzahl der Sequenzdurchläufe wird hier als Zufallszahl ermittelt
  for (i1; i1<=Anz1; i1++){  // Zählschleife für Durchläufe

//  if (i1 <= Anz1) {
  z = random(2); 
  if (z == 1){  // Durch diese Zufallszahl wird nur bei 50% der Durchläufe dieser Servo an dieser Stelle bewegt. Wenn z größer wird, noch seltener
sollVorne = random(50, 100); // Sollwert vorne
t = random(8, 15); // Bremsvariable für die Servos
for (istVorne; istVorne>=sollVorne; istVorne--){  // Schleife Sollwert immer - 1 
    frontServo.write(istVorne);   // Servo wird um 1 weitergesetzt
    delay(t);           // Delay, um den Servo langsamer laufen zu lassen
 
  }
// frontServo.write(sollVorne);
kp = random(10, 30);
delay(kp); // kurze Pause
}
z = random(1, 2);
if (z == 1) {
sollHinten = random(10, 80);
t = random(2, 10);
for (istHinten; istHinten>=sollHinten; istHinten--){  // Schleife Sollwert immer - 1 
    rearServo.write(istHinten);   // Servo wird um 1 weitergesetzt
    delay(t);           // Delay, um den Servo langsamer laufen zu lassen
 
  }
//rearServo.write(sollHinten);
kp = random(20, 30);
delay(kp);
digitalWrite(InnenlichtPin, LOW);
}
 z = random(1, 2);
  if (z == 1){
sollVorne = random(150, 177);
t = random(3, 10);
for (istVorne; istVorne<=sollVorne; istVorne++){  // Schleife Sollwert immer + 1 
    frontServo.write(istVorne);   // Servo wird um 1 weitergesetzt
    delay(t);           // Delay, um den Servo langsamer laufen zu lassen
 
  }

//frontServo.write(sollVorne);
kp = random(100, 200);
delay(kp);
}
z = random(1, 2);
if (z == 1) {
sollHinten = random(150, 177);
t = random(2, 4);
for (istHinten; istHinten<=sollHinten; istHinten++){  // Schleife Sollwert immer + 1 
    rearServo.write(istHinten);   // Servo wird um 1 weitergesetzt
    delay(t);           // Delay, um den Servo langsamer laufen zu lassen
  }
//rearServo.write(sollHinten);
kp = random(10, 20);
delay(kp);
digitalWrite(BodenlichtPin, HIGH);
}
// i1 = i1 + 1;
// }

  //if (i2 <= Anz2) {
  z = random(1, 2);
  if (z == 1){
sollVorne = random(40, 70);
t = random(2, 7);
for (istVorne; istVorne>=sollVorne; istVorne--){  // Schleife Sollwert immer - 1 
    frontServo.write(istVorne);   // Servo wird um 1 weitergesetzt
    delay(t);           // Delay, um den Servo langsamer laufen zu lassen
  }

//frontServo.write(sollVorne);
  }
z = random(1, 2);
if (z == 1) {
sollHinten = random(30, 70);
t = random(10, 30);
for (istHinten; istHinten>=sollHinten; istHinten--){  // Schleife Sollwert immer - 1 
    rearServo.write(istHinten);   // Servo wird um 1 weitergesetzt
      digitalWrite(SuchlichtPin, HIGH);
    delay(t);           // Delay, um den Servo langsamer laufen zu lassen
 
  }
//rearServo.write(sollHinten);
kp = random(20, 30);
delay(kp);
}
 z = random(1, 2);
  if (z == 1){
sollVorne = random(160, 177);
t = random(2, 12);
for (istVorne; istVorne>=sollVorne; istVorne--){  // Schleife Sollwert immer - 1 
    frontServo.write(istVorne);   // Servo wird um 1 weitergesetzt
    delay(t);           // Delay, um den Servo langsamer laufen zu lassen
  }
  digitalWrite(SuchlichtPin, LOW);
//frontServo.write(sollVorne);
}
z = random(1, 2);
if (z == 1) {
sollHinten = random(160, 177);
t = random(2, 6);
for (istHinten; istHinten<=sollHinten; istHinten++){  // Schleife Sollwert immer + 1 
    rearServo.write(istHinten);   // Servo wird um 1 weitergesetzt
    delay(t);           // Delay, um den Servo langsamer laufen zu lassen
  }
//rearServo.write(sollHinten);
kp = random(100, 200);
delay(kp);
}
i1 = i1 + 1;

}

frontServo.write(50);
rearServo.write(160);
digitalWrite(SuchlichtPin, LOW);
delay(2000);
digitalWrite(BodenlichtPin, LOW);
delay(2000);
digitalWrite(FahrlichtPin, LOW);
z = random(10, 30);
for (i2; i2 <= z; i2++) {
  digitalWrite(SuchlichtPin, HIGH);
  delay(random(20, 100));
  digitalWrite(SuchlichtPin, LOW);
  delay(random(10, 100));
}
i2 = 1;
lp = random(10000, 15000);
delay(lp);  
 i1 = 1;
 //i2 = 1;
//Anz1 = random(100, 300);
//Anz2 = random(100, 200);
}

